Get Workflow

http
GET https://services.leadconnectorhq.com/workflows/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KT

Responses

200 - Successful response
  • workflows (object[])

    • id (string): Example: 78559bb3-b920-461e-b010-7b2a2816d2a9

    • name (string): Example: First Workflow

    • status (string): Example: draft

    • version (number): Example: 2

    • createdAt (string): Example: 2021-05-26T11:33:49.000Z

    • updatedAt (string): Example: 2021-05-26T11:33:49.000Z

    • locationId (string): Example: eBG6WapS3v4ZqwA45MTxtYJ

json
{
  "workflows": [
    {
      "id": "78559bb3-b920-461e-b010-7b2a2816d2a9",
      "name": "First Workflow",
      "status": "draft",
      "version": 2,
      "createdAt": "2021-05-26T11:33:49.000Z",
      "updatedAt": "2021-05-26T11:33:49.000Z",
      "locationId": "eBG6WapS3v4ZqwA45MTxtYJ"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/workflows/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?